CVE-2023-25767

Name
CVE-2023-25767
Description
A cross-site request forgery (CSRF) vulnerability in Jenkins Azure Credentials Plugin 253.v887e0f9e898b and earlier allows attackers to connect to an attacker-specified web server.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://www.jenkins.io/security/advisory/2023-02-15/#SECURITY-1756
MLIST http://www.openwall.com/lists/oss-security/2023/02/15/4

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:jenkins:azure_credentials:*:*:*:*:*:jenkins:*:* jenkins >= None < 254.v64da_8176c83a

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
jenkins 3.17-community 2.361.2-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins 3.18-community 2.387.3-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins 3.19-community 2.440.3-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins 3.20-community 2.440.2-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins edge-community 2.452.2-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable